Multimodal
AssemblyAI integration
GET
/
api
/
assemblyai
/
v2
/
transcript
/
{transcript_id}
AssemblyAI Integration
curl --request GET \
--url https://api.keywordsai.co/api/assemblyai/v2/transcript/{transcript_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Assemblyai-Api-Key: <x-assemblyai-api-key>'import requests
url = "https://api.keywordsai.co/api/assemblyai/v2/transcript/{transcript_id}"
headers = {
"X-Assemblyai-Api-Key": "<x-assemblyai-api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Assemblyai-Api-Key': '<x-assemblyai-api-key>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.keywordsai.co/api/assemblyai/v2/transcript/{transcript_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Use Keywords AI gateway to call and log AssemblyAI speech-to-text models.
Authentication
All endpoints require API key authentication:Authorization: Bearer YOUR_API_KEY
X-Assemblyai-Api-Key: YOUR_ASSEMBLYAI_API_KEY
Path Parameters
string
required
The AssemblyAI transcript ID to retrieve.
Headers
string
required
Your AssemblyAI API key for authentication with AssemblyAI services.
Examples
import requests
url = "https://api.keywordsai.co/api/assemblyai/v2/transcript/{transcript_id}"
headers = {
"Authorization": "Bearer YOUR_KEYWORDSAI_API_KEY",
"X-Assemblyai-Api-Key": "YOUR_ASSEMBLYAI_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
curl -X GET "https://api.keywordsai.co/api/assemblyai/v2/transcript/{transcript_id}" \
-H "Authorization: Bearer YOUR_KEYWORDSAI_API_KEY" \
-H "X-Assemblyai-Api-Key: YOUR_ASSEMBLYAI_API_KEY"
For more details on using AssemblyAI with Keywords AI, see the AssemblyAI integration guide.
Was this page helpful?
⌘I
AssemblyAI Integration
